︠df367c24-e25d-4c43-b031-c12ef8d17582︠
from pylab import *
clf()
plot([10,20,30,40],[100,400,900,1600],'bo')
title("Plotagem simples de pontos")
savefig('Exemplo1.png')
︡4525fc28-9911-47e4-9427-fdb7df2dc3c7︡︡
︠87f6e5e0-764c-4f10-a8c2-b908fd6a4dcc︠
clf()
z=arange(0.0,10.0,0.5)
plot(z, z, 'ro', z, z-4, 'gs', z, z**0.5, 'b^')
title("Comparacao de curvas no mesmo plano")
savefig('Exemplo2.png')
︡822ff498-4eb6-4b77-b098-91295251ebb1︡︡
︠730d7af1-de2a-4af7-b5f1-44bb5c16d183︠
clf()
def f(t):
	return sin(t)-2*cos(pi*t)




figure(1)
subplot(211)
plot(ta,f(ta),'bo',tb,f(tb),'g')
ylabel('ta,tb')
xlabel('f(ta),f(tb)')
title("Comparacao de curvas em planos diferentes")

subplot(212)
plot(ta,sin(ta)-2*sin(pi*ta),'r--')
ylabel('ta')
xlabel('sin(ta)-2*sin(pi*ta)')
savefig('Exemplo3.png')
︡7c294500-69b4-4e7e-9c16-7a49e7795bf2︡︡
︠bc8d9e31-dcb2-4189-9831-a7e3ce2972f4︠
clf()
mu,sigma =45,20
x = mu + sigma * randn(1000)
hist(x,facecolor='r')
xlabel('Idade da populacao de Porto Alegre')
ylabel('Probabilidade')
title('Histograma Populacional')
grid(True)
savefig('Exemplo4.png')
︡108a4d3b-cdaa-45b7-a3d2-a339884f6f74︡︡
︠0a64e292-881e-4978-baa8-4e753a775bda︠
clf()
d = arange(0.0, 5.0, 0.02)
s = cos(2*pi*d)
line,= plot(d,s)
annotate('Aqui', xy=(2.75, 0),arrowprops=dict(facecolor='black'))
title('Ferramenta annotate para marcar posicoes')
savefig('Exemplo5.png')
︡d1bbe668-03fa-449a-b0cb-4a0d4cd16f13︡︡
︠ae2ef419-bc7a-45ef-9b57-45ef45810c34︠
clf()
r = arange(0, 3.0, 0.01)
theta = 2*pi*r
polar(theta, r, color='m', lw=3)
title('Coordenadas polares')
savefig('Exemplo6.png')
︡529c7f3d-b0bf-4e00-9515-3327d6e6a395︡︡
︠a8266442-9958-4f35-9264-b3318763c64c︠
clf()
pie([2,3,5,10,20,25,35])
title('Graficos do tipo pizza')
savefig('Exemplo7.png')
︡cb5bfa3c-f97b-4e44-b1b3-622f6707b354︡︡
︠2685336f-0fb6-4fe3-a7df-19d4fc19a126︠
clf()
t = arange(0.0, 0.99, 0.01)
s = sin(2*2*pi*t)
fill(t,s*exp(t), 'g')
title('Grafico hachurado')
savefig('Exemplo8.png')
︡d9f62f6b-dc59-408c-bcb2-2249138a219b︡︡
︠a45c5735-7964-4df6-84c0-9511f659a3ca︠
clf()
x = arange(0,50,1)
xlabel('Eixo x - escala normal')
y = arange(0,50,1)
ly=semilogy(y)
ylabel('Eixo y - escala semilog')
title('Grafico com escalas diferentes')
savefig('Exemplo9.png')
︡aa19c634-fe8c-453c-aaae-54621270f7b8︡︡
︠645f5e13-eca9-47cd-b1cb-35481d8daec7︠
clf()
from pylab import *

x,y = np.random.randn(2,100)
xcorr(x, y, usevlines=True, maxlags=25, normed=True, lw=1.5)
title('Grafico de correlacao entre x e y')
plt.savefig('Exemplo10.png')
︡04cb308b-52df-4e58-9bdd-c670522130bb︡︡
